Treasury
Get signing threshold
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
treasury?booleanResponse Body
200application/json
Threshold in force, and the signers enrolled
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/signing-threshold' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "threshold": 0, "signers": 0, "pendingThreshold": 0, "pendingLower": 0, "pendingRaise": 0, "pendingLane": "userop", "chains": [ { "chain": "base", "status": "unchanged", "safeTxHash": "string", "nonce": 0, "requiredSignatures": 0, "proposalStatus": "string", "statusReason": "string", "expiresAt": "string", "userOpHash": "string", "pendingKind": "threshold_change", "recoveryKeyPresent": true, "foreignModules": [ "string" ], "currentThreshold": 1, "threshold": 2, "passkeyOwners": 2, "allowances": [ { "delegate": "string", "token": "string", "asset": "USDT", "amountBaseUnits": "5000000", "spentBaseUnits": "1000000", "remainingBaseUnits": "4000000", "amount": "5", "spent": "1", "remaining": "4", "resetTimeMinutes": 1440, "nextResetAt": "2019-08-24T14:15:22Z" } ], "allowancesUnreadable": true, "missingOwners": [ "string" ], "reason": "string" } ], "approveWithinSeconds": 180, "approvalNote": "string" }, "status": 200, "success": true}